
function ia.update_palo(spr)
    local tx, ty, ty2 = (spr.pos.x+2)>>3, (spr.pos.y+1)>>3, (spr.pos.y+2)>>3

    if rooms.is_outside(tx,ty) then sprites.remove(spr) return end

    if sprites.hero.state == templates.ALIVE then
        local x1,y1,w1,h1 = util.aabb(spr) -- El meu aabb
        local x2,y2,w2,h2 = util.aabb(sprites.hero) -- el aabb del heroi
        -- Si toca al heroi...
        if util.check_aabb_collision(x1,y1,w1,h1, x2,y2,w2,h2) then
            sprites.hero.hit()
        end
    end

    spr.dy = spr.dy + spr.ay;
    spr.pos.y = spr.pos.y + spr.dy
    if spr.flipped then
        spr.pos.x = spr.pos.x - 6
    else
        spr.pos.x = spr.pos.x + 6
    end
end

